## kgtk-qt3-trinity 14.1.5

=== kdialogd3/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/common
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### kdialogd3 (executable) #################

set( target kdialogd3 )

set( ${target}_SRCS
  kdialogd.cpp
)

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tqt/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/common
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


add_definitions( -DTQT_THREAD_SUPPORT )


##### generate mangled.h

add_custom_target(
    mangled_header
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/mangled.h
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/mangled.h
  COMMAND
    ${CMAKE_SOURCE_DIR}/mangled.sh
    ${CMAKE_CXX_COMPILER}
    ${CMAKE_CURRENT_BINARY_DIR}/mangled.h
)


##### kqt3 (shared)

tde_add_library( kqt3 SHARED NO_LIBTOOL_FILE
  SOURCES
    kqt3.cpp

  LINK
    ${TQT_LIBRARIES}
    ${CMAKE_DL_LIBS}

  DESTINATION ${LIB_INSTALL_DIR}/kgtk

  DEPENDENCIES mangled_header
)


##### other data

configure_file( kqt3-wrapper.cmake kqt3-wrapper @ONLY )

install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kqt3-wrapper
  DESTINATION ${BIN_INSTALL_DIR}
)

## kgtk-qt3-trinity 3.5.13.2

=== debian/changelog ===
kgtk-qt3-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:19:58 +0200

kgtk-qt3-trinity (0.10.2-0ubuntu5) lucid; urgency=low

  * Maverick build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 05 Apr 2010 13:20:00 -0600

kgtk-qt3 (0.10.1-0ubuntu1~ppa1) jaunty; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 17 Mar 2009 01:24:08 +0100

=== debian/control ===
Source: kgtk-qt3-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7), quilt, cdbs, kdelibs4-trinity-dev, libgtk2.0-dev, libtqtinterface-dev, cmake
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: kgtk-qt3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
Description: Use KDE dialogs in Gtk apps
 This is an LD_PRELOAD hack that allows most GTK
 applications to use Trinity's file dialogs when run under Trinity.
 .
 The Gtk file chooser functions have been overridden to communicate
 with this KDE module/application.
 .
 This package includes the kqt3-wrapper

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

binary-install/kgtk-qt3-trinity::
	mkdir -p $(CURDIR)/debian/kgtk-qt3-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/preload $(CURDIR)/debian/kgtk-qt3-trinity/opt/trinity/share/kgtk/

## kgtk-qt3-trinity 14.0.4

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:20:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include debian/cdbs/debian-qt-kde.mk

## kgtk-qt3-trinity 14.0.5

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:33:49 +0200

=== debian/control ===
Source: kgtk-qt3-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, libtqtinterface-dev, cmake
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: kgtk-qt3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
Breaks: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
Description: Use TDE dialogs in Gtk apps
 This is an LD_PRELOAD hack that allows most GTK
 applications to use Trinity's file dialogs when run under Trinity.
 .
 The Gtk file chooser functions have been overridden to communicate
 with this TDE module/application.
 .
 This package includes the kqt3-wrapper

## kgtk-qt3-trinity 14.0.6

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:32:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kgtk-qt3-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
-Breaks: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
+Replaces: kgtk-qt3-trinity (<< 4:14.0.0~)
+Breaks: kgtk-qt3-trinity (<< 4:14.0.0~)
 Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
 Description: Use TDE dialogs in Gtk apps
  This is an LD_PRELOAD hack that allows most GTK

## kgtk-qt3-trinity 14.0.8

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:48:31 +0200

## kgtk-qt3-trinity 14.0.9

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:06:33 +0200

## kgtk-qt3-trinity 14.0.10

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kgtk-qt3-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, libtqtinterface-dev, cmake
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: kgtk-qt3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
Breaks: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
Description: Use TDE dialogs in Gtk apps
 This is an LD_PRELOAD hack that allows most GTK
 applications to use Trinity's file dialogs when run under Trinity.
 .
 The Gtk file chooser functions have been overridden to communicate
 with this TDE module/application.
 .
 This package includes the kqt3-wrapper

## kgtk-qt3-trinity 14.0.11

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 01:07:11 +0200

## kgtk-qt3-trinity 14.0.12

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:29:11 +0100

## kgtk-qt3-trinity 14.0.13

=== debian/changelog ===
kgtk-qt3-trinity (4:14.0.13-0ubuntu21.04.0+0) hirsute; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 11 Jul 2022 15:06:00 +0200

## kgtk-qt3-trinity 14.1.0

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kgtk-qt3-trinity 14.1.1

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 15:03:18 +0200

=== debian/control ===
Source: kgtk-qt3-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: kgtk-qt3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kgtk-qt3-trinity (<< 4:14.0.0~)
Breaks: kgtk-qt3-trinity (<< 4:14.0.0~)
Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
Description: Use TDE dialogs in Gtk apps
 This is an LD_PRELOAD hack that allows most GTK
 applications to use Trinity's file dialogs when run under Trinity.
 .
 The Gtk file chooser functions have been overridden to communicate
 with this TDE module/application.
 .
 This package includes the kqt3-wrapper

## kgtk-qt3-trinity 14.1.2

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:37 +0200

## kgtk-qt3-trinity 14.1.3

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Oct 2024 23:11:06 +0200

## kgtk-qt3-trinity 14.1.4

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kgtk-qt3-trinity 14.1.5~pre3

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for cffd7e8dac8d88031b516ccc3bd56b344c674b12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kgtk-qt3-trinity 14.1.5

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev
 Standards-Version: 3.8.4
 Homepage: http://trinity.pearsoncomputing.net
 
 Package: kgtk-qt3-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kgtk-qt3-trinity (<< 4:14.0.0~)
-Breaks: kgtk-qt3-trinity (<< 4:14.0.0~)
+Replaces: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
+Breaks: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
 Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
 Description: Use TDE dialogs in Gtk apps
  This is an LD_PRELOAD hack that allows most GTK

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DAUTODETECT_QT_DIRS="ON" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

binary-install/kgtk-qt3-trinity::
	mkdir -p $(CURDIR)/debian/kgtk-qt3-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/preload $(CURDIR)/debian/kgtk-qt3-trinity/opt/trinity/share/kgtk/

## kgtk-qt3-trinity 14.1.6~pre0

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cffd7e8dac8d88031b516ccc3bd56b344c674b12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kgtk-qt3-trinity 14.1.6~pre1

=== debian/changelog ===
kgtk-qt3-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c41f023a50386dc99208d773b95bf65f711b3492
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:14:41 +0100

## kgtk-qt3-trinity 14.2.0~pre24

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( kgtk )


##### set up cpack ##############################

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_GENERATOR "TBZ2")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "10")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(KGTK_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(KGTK_VERSION_FULL "${KGTK_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${KGTK_VERSION_FULL}")
include(CPack)


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_KGTK_TQT "Include TQT support" ${BUILD_ALL} )
option( BUILD_KGTK_TDE "Include TDE support" ${BUILD_ALL} )
option( BUILD_KGTK_GTK2 "Include GTK2 support" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

tde_conditional_add_subdirectory( BUILD_KGTK_TQT tqt )
tde_conditional_add_subdirectory( BUILD_KGTK_TDE kdialogd3 )
tde_conditional_add_subdirectory( BUILD_KGTK_GTK2 gtk2 )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )


##### install global wrapper scripts ############

install(PROGRAMS ${CMAKE_SOURCE_DIR}/kdialogd-wrapper DESTINATION ${BIN_INSTALL_DIR})
install(PROGRAMS ${CMAKE_SOURCE_DIR}/kgtk-wrapper DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
kgtk-qt3-trinity (4:14.2.0~pre24-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 0bb23a9bb6c8b1324b81db3ab82ea71d2ec58092
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kgtk-qt3-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
-Breaks: kgtk-qt3-kde3 (<< 4:14.0.0~), kgtk-qt3-trinity (<< 4:14.0.0~)
+Replaces: kgtk-qt3-trinity (<< 4:14.0.0~)
+Breaks: kgtk-qt3-trinity (<< 4:14.0.0~)
 Conflicts: kgtk-config-bluefish, kgtk-config-eclipse, kgtk-config-firefox, kgtk-config-gimp, kgtk-config-inkscape, kgtk-config-kino, kgtk-config-openoffice, kgtk-config-opera-qt3, kgtk-config-opera-qt4, kgtk-config-scribus, kgtk-config-thunderbird, kubuntu-kgtk-trinity
 Description: Use TDE dialogs in Gtk apps
  This is an LD_PRELOAD hack that allows most GTK

## kgtk-qt3-trinity 14.2.0~pre25

=== debian/changelog ===
kgtk-qt3-trinity (4:14.2.0~pre25-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 45d1d610aab1dddea1f5e36bb2d6d7c5db6d9828
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kgtk-qt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:55 +0100
